[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#476836: multipath: missing depmod call



Package: disk-detect
Version: 1.60
Severity: normal
Tags: patch

Hi,
when enabling multipath support multipath-udeb gets installed which
pulls in the multipath-modules-<kver> udeb via a dependency.  Afterwards
these modules are immediately being loaded. This fails currently since
we're missing a call to depmod (see attached patch). I didn't notice
earlier since I had the udebs added via pkg-lists/local and so any
depmod call (e.g.  in ethdetect) did the trick. O.k. to apply the
attached patch (with an changelog entry of course)? I didn't bother to
check if depmod is available since we don't bail out on errors anyway.
Cheers,
 -- Guido

diff --git a/disk-detect.sh b/disk-detect.sh
index 3290832..8f1c721 100755
--- a/disk-detect.sh
+++ b/disk-detect.sh
@@ -192,6 +192,7 @@ if [ "$RET" = true ]; then
 	if anna-install multipath-udeb; then
 		MODULES="dm-mod dm-multipath dm-round-robin dm-emc"
 		# We need some dm modules...
+		depmod -a > /dev/null 2>&1 || true
 		for MODULE in $MODULES; do
 			if is_not_loaded $MODULE; then
 				module_probe $MODULE || true

Reply to: